class UptimeItemModel {
  final String id;
  final String createdAt;
  final String updatedAt;
  final bool deleted;
  final String name;
  final bool status;

  const UptimeItemModel({
    required this.id,
    required this.createdAt,
    required this.updatedAt,
    required this.deleted,
    required this.name,
    required this.status,
  });

  factory UptimeItemModel.fromJson(Map<String, dynamic> json) {
    return UptimeItemModel(
      id: json['id'] as String,
      createdAt: json['createdAt'] as String,
      updatedAt: json['updatedAt'],
      deleted: json['deleted'] as bool,
      name: json['name'] as String,
      status: json['status'] as bool,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'createdAt': createdAt,
      'updatedAt': updatedAt,
      'deleted': deleted,
      'name': name,
      'status': status,
    };
  }
}
